GEOS 3.3.8

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
geos::simplify::TaggedLineString Class Reference

Contains and owns a list of TaggedLineSegments. More...

`#include <TaggedLineString.h>`

## Public Types
typedef std::vector < geom::Coordinate > | CoordVect
typedef std::auto_ptr< CoordVect > | CoordVectPtr
typedef geom::CoordinateSequence | CoordSeq
typedef std::auto_ptr < geom::CoordinateSequence > | CoordSeqPtr

## Public Member Functions
| TaggedLineString (const geom::LineString *nParentLine, std::size_t minimumSize=2)
std::size_t | getMinimumSize () const
const geom::LineString * | getParent () const
const CoordSeq * | getParentCoordinates () const
CoordSeqPtr | getResultCoordinates () const
std::size_t | getResultSize () const
TaggedLineSegment * | getSegment (std::size_t i)
const TaggedLineSegment * | getSegment (std::size_t i) const
std::vector< TaggedLineSegment * > & | getSegments ()
const std::vector < TaggedLineSegment * > & | getSegments () const
void | addToResult (std::auto_ptr< TaggedLineSegment > seg)
std::auto_ptr< geom::Geometry > | asLineString () const
std::auto_ptr< geom::Geometry > | asLinearRing () const

## Detailed Description

Contains and owns a list of TaggedLineSegments.

The documentation for this class was generated from the following file:

- TaggedLineString.h